ManagementTestBase (Apache Geode 1.8.0)
Date: 2018-11-29

org.apache.geode.management

## Class ManagementTestBase

- java.lang.Object
- - org.apache.geode.test.dunit.internal.JUnit4DistributedTestCase
  - - org.apache.geode.test.dunit.cache.internal.JUnit4CacheTestCase
    - - org.apache.geode.test.dunit.cache.CacheTestCase
      - - org.apache.geode.cache30.CacheTestCase
        - - org.apache.geode.management.ManagementTestBase

- All Implemented Interfaces:
    java.io.Serializable, org.apache.geode.test.dunit.cache.internal.CacheTestFixture, org.apache.geode.test.dunit.internal.DistributedTestFixture

      public abstract class ManagementTestBase
      extends CacheTestCase

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.apache.geode.test.dunit.VM` | `managedNode1`
    `protected static org.apache.geode.test.dunit.VM` | `managedNode2`
    `protected static org.apache.geode.test.dunit.VM` | `managedNode3`
    `protected static java.util.List<org.apache.geode.test.dunit.VM>` | `managedNodeList` List containing all the Managed Node VM
    `protected static ManagementService` | `managementService`
    `protected static org.apache.geode.test.dunit.VM` | `managingNode` Managing Node VM
    `org.apache.geode.test.dunit.rules.DistributedRestoreSystemProperties` | `restoreSystemProperties`

    - ### Fields inherited from class org.apache.geode.test.dunit.cache.internal.JUnit4CacheTestCase

      `cache`

    - ### Fields inherited from class org.apache.geode.test.dunit.internal.JUnit4DistributedTestCase

      `system, testNameForDistributedTestCase`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ManagementTestBase()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `closeCache(org.apache.geode.test.dunit.VM vm)`
    `protected Cache` | `createCache(boolean isManager)`
    `protected void` | `createCache(org.apache.geode.test.dunit.VM vm)`
    `protected void` | `createCache(org.apache.geode.test.dunit.VM vm, java.util.Properties props)`
    `protected void` | `createLocalRegion(org.apache.geode.test.dunit.VM vm, java.lang.String localRegionName)` Creates a Local region
    `protected void` | `createManagementCache(org.apache.geode.test.dunit.VM vm)`
    `protected void` | `createPartitionRegion(org.apache.geode.test.dunit.VM vm, java.lang.String partitionRegionName)` Creates a partition Region
    `protected static java.util.List<org.apache.geode.test.dunit.VM>` | `getManagedNodeList()`
    `protected static ManagementService` | `getManagementService()`
    `protected static org.apache.geode.test.dunit.VM` | `getManagingNode()`
    `protected <T> T` | `getMBeanProxy(javax.management.ObjectName objectName, java.lang.Class<T> interfaceClass)`
    `protected DistributedMember` | `getMember(org.apache.geode.test.dunit.VM vm)`
    `protected java.lang.String` | `getMemberId(org.apache.geode.test.dunit.VM vm)`
    `protected void` | `initManagement(boolean managingNodeFirst)` managingNodeFirst variable tests for two different test cases where Managing & Managed Node creation time lines are reversed.
    `void` | `postSetUp()`
    `protected void` | `postSetUpManagementTestBase()`
    `void` | `postTearDownCacheTestCase()`
    `protected void` | `postTearDownManagementTestBase()`
    `void` | `preTearDownCacheTestCase()`
    `protected void` | `preTearDownManagementTestBase()`
    `protected void` | `startManagingNode(org.apache.geode.test.dunit.VM vm)` Marks a VM as Managing
    `protected void` | `stopManagingNode(org.apache.geode.test.dunit.VM vm)` Stops a VM as a Managing node
    `protected static void` | `waitForProxy(javax.management.ObjectName objectName, java.lang.Class interfaceClass)`
    `protected static void` | `waitForRefresh(int expectedRefreshCount, javax.management.ObjectName objectName)`

    - ### Methods inherited from class org.apache.geode.test.dunit.cache.internal.JUnit4CacheTestCase

      `addExceptionTag1, basicGetCache, beginCacheXml, closeAllCache, closeCache, createExpiryRootRegion, createLonerCache, createRegion, createRegion, createRootRegion, createRootRegion, finishCacheXml, finishCacheXml, getCache, getCache, getCache, getCache, getCache, getClientCache, getClientCache, getDiskDir, getDiskDirs, getGemfireCache, getRootRegion, getRootRegion, hasCache, preTearDown, removeExceptionTag1`

    - ### Methods inherited from class org.apache.geode.test.dunit.internal.JUnit4DistributedTestCase

      `basicGetSystem, cleanDiskDirs, cleanupAllVms, deleteBACKUPDiskStoreFile, destroyRegions, disconnectAllFromDS, disconnectFromDS, getBlackboard, getDistributedSystemProperties, getLonerSystem, getName, getSystem, getSystem, getSystemStatic, getTestClass, getTestMethodName, getUniqueName, initializeBlackboard, initializeDistributedTestCase, isConnectedToDS, nullSystem, postTearDown, postTearDownAssertions, preSetUp, preTearDownAssertions, setSystem, setUpDistributedTestCase, tearDownDistributedTestCase`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.geode.test.dunit.internal.DistributedTestFixture

      `getDistributedSystemProperties, getName, postTearDown, postTearDownAssertions, preSetUp, preTearDownAssertions`

- - ### Field Detail

    - #### managementService

          protected static ManagementService managementService

    - #### managedNodeList

          protected static java.util.List<org.apache.geode.test.dunit.VM> managedNodeList

      List containing all the Managed Node VM

    - #### managingNode

          protected static org.apache.geode.test.dunit.VM managingNode

      Managing Node VM

    - #### managedNode1

          protected static org.apache.geode.test.dunit.VM managedNode1

    - #### managedNode2

          protected static org.apache.geode.test.dunit.VM managedNode2

    - #### managedNode3

          protected static org.apache.geode.test.dunit.VM managedNode3

    - #### restoreSystemProperties

          public org.apache.geode.test.dunit.rules.DistributedRestoreSystemProperties restoreSystemProperties

  - ### Constructor Detail

    - #### ManagementTestBase

          public ManagementTestBase()

  - ### Method Detail

    - #### postSetUp

          public final void postSetUp()
                               throws java.lang.Exception

      Specified by:
        `postSetUp` in interface `org.apache.geode.test.dunit.internal.DistributedTestFixture`
      Overrides:
        `postSetUp` in class `org.apache.geode.test.dunit.internal.JUnit4DistributedTestCase`
      Throws:
        `java.lang.Exception`

    - #### postSetUpManagementTestBase

          protected void postSetUpManagementTestBase()
                                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### preTearDownCacheTestCase

          public final void preTearDownCacheTestCase()
                                              throws java.lang.Exception

      Specified by:
        `preTearDownCacheTestCase` in interface `org.apache.geode.test.dunit.cache.internal.CacheTestFixture`
      Overrides:
        `preTearDownCacheTestCase` in class `org.apache.geode.test.dunit.cache.internal.JUnit4CacheTestCase`
      Throws:
        `java.lang.Exception`

    - #### postTearDownCacheTestCase

          public final void postTearDownCacheTestCase()
                                               throws java.lang.Exception

      Specified by:
        `postTearDownCacheTestCase` in interface `org.apache.geode.test.dunit.cache.internal.CacheTestFixture`
      Overrides:
        `postTearDownCacheTestCase` in class `org.apache.geode.test.dunit.cache.internal.JUnit4CacheTestCase`
      Throws:
        `java.lang.Exception`

    - #### preTearDownManagementTestBase

          protected void preTearDownManagementTestBase()
                                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### postTearDownManagementTestBase

          protected void postTearDownManagementTestBase()
                                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### initManagement

          protected void initManagement(boolean managingNodeFirst)

      managingNodeFirst variable tests for two different test cases where Managing & Managed Node creation time lines are reversed.

    - #### createCache

          protected void createCache(org.apache.geode.test.dunit.VM vm)

    - #### createCache

          protected void createCache(org.apache.geode.test.dunit.VM vm,
                                     java.util.Properties props)

    - #### createCache

          protected Cache createCache(boolean isManager)

    - #### createManagementCache

          protected void createManagementCache(org.apache.geode.test.dunit.VM vm)

    - #### closeCache

          protected void closeCache(org.apache.geode.test.dunit.VM vm)

    - #### getMemberId

          protected java.lang.String getMemberId(org.apache.geode.test.dunit.VM vm)

    - #### waitForProxy

          protected static void waitForProxy(javax.management.ObjectName objectName,
                                             java.lang.Class interfaceClass)

    - #### startManagingNode

          protected void startManagingNode(org.apache.geode.test.dunit.VM vm)

      Marks a VM as Managing

    - #### stopManagingNode

          protected void stopManagingNode(org.apache.geode.test.dunit.VM vm)

      Stops a VM as a Managing node

    - #### getManagedNodeList

          protected static java.util.List<org.apache.geode.test.dunit.VM> getManagedNodeList()

    - #### getManagingNode

          protected static org.apache.geode.test.dunit.VM getManagingNode()

    - #### getManagementService

          protected static ManagementService getManagementService()

    - #### createLocalRegion

          protected void createLocalRegion(org.apache.geode.test.dunit.VM vm,
                                           java.lang.String localRegionName)

      Creates a Local region

    - #### createPartitionRegion

          protected void createPartitionRegion(org.apache.geode.test.dunit.VM vm,
                                               java.lang.String partitionRegionName)

      Creates a partition Region

    - #### waitForRefresh

          protected static void waitForRefresh(int expectedRefreshCount,
                                               javax.management.ObjectName objectName)

    - #### getMember

          protected DistributedMember getMember(org.apache.geode.test.dunit.VM vm)

    - #### getMBeanProxy

          protected <T> T getMBeanProxy(javax.management.ObjectName objectName,
                                        java.lang.Class<T> interfaceClass)